Issue1816

classification
Title: Jython Interactive Console makes system beep noise too much
Type: behaviour Severity: normal
Components: Any Versions: 2.5.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, camjackson
Priority: Keywords:

Created on 2011-11-08.04:34:41 by camjackson, last changed 2012-03-29.19:41:27 by amak.

Messages
msg6719 (view) Author: Cam Jackson (camjackson) Date: 2011-11-08.04:34:41
When using the Jython Interactive Console in Windows XP (jython.bat), the system beep sound is made way too often. I'm referring to the internal system (motherboard?) beep, not the standard windows 'doonk' sound that comes through your speakers upon warnings or errors.

So far I have encountered the beep when trying to hit backspace/delete at the start of a line, and when hitting Alt+F4. There are probably other actions that cause it too. The sound is very loud and annoying, and seems a bit unnecessary. 

For comparison, Putty on windows makes the 'doonk' sound when backspacing nothing, and a standard cmd console (i.e. windows+r, cmd, enter) makes no sound at all for this.
msg6833 (view) Author: Alan Kennedy (amak) Date: 2012-03-19.18:43:33
I agree that this noise is annoying.

The way that I solve it is explicitly specify the InteractiveConsole in the registry file, i.e.

python.console=org.python.util.InteractiveConsole

Which will give you no noise at all.

This is not really a bug, so I will close it if we don't hear from the requester.
msg6895 (view) Author: Cam Jackson (camjackson) Date: 2012-03-19.22:18:00
Which registry file is it that you edit to change the console preference?

I would say this is a bug. Not just because the noise is annoying, but because no other command prompt does it, so the fact that the Jython console does do it by default, I would say is incorrect behaviour.
msg6899 (view) Author: Alan Kennedy (amak) Date: 2012-03-19.22:51:46
The setting is in the file named "registry" in the jython installation directory.
msg6981 (view) Author: Alan Kennedy (amak) Date: 2012-03-29.19:41:27
Fixed!

http://hg.python.org/jython/rev/1f79b129c3bf
http://hg.python.org/jython/rev/3ab970a481ea
History
Date User Action Args
2012-03-29 19:41:27amaksetstatus: open -> closed
resolution: fixed
messages: + msg6981
2012-03-19 22:51:46amaksetmessages: + msg6899
2012-03-19 22:18:00camjacksonsetmessages: + msg6895
2012-03-19 18:43:33amaksetassignee: amak
messages: + msg6833
nosy: + amak
2011-11-08 04:34:41camjacksoncreate